Page MenuHomePhabricator

Use a mixed storage format, setting the system to slowly migrate over from HTML to wikitext storage
Open, HighPublic

Description

New revisions (all types: post, summary, header) will be created as wikitext. Migrating existing revisions is not within the scope of this task.

Event Timeline

jmatazzoni renamed this task from Use a mixed storage format, setting the system to slowly migrate over from HTML to wikitext storage to Use a mixed storage format, setting the system to slowly migrate over from HTML to wikitext storage (quarterly goal).Aug 29 2017, 10:21 PM
jmatazzoni triaged this task as High priority.

Change 387810 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Flow@master] API: Make format parameters always default to 'fixed-html'

https://gerrit.wikimedia.org/r/387810

Change 387810 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] API: Make format parameters always default to 'fixed-html'

https://gerrit.wikimedia.org/r/387810

Task solved, no?

Task solved, no?

@Catrope: Patch merged, should this task have resolved status?

No, this is not yet resolved. With my fix, this "works" now, but would be a performance disaster. We need to implement caching for the rendered HTML, probably using the parser cache in a bastardized way (because what we're caching is Parsoid HTML instead of Parser.php HTML, and doesn't correspond 1:1 to a page or revision). I've been meaning to work on this, but it got buried under a variety of other things.

SBisson renamed this task from Use a mixed storage format, setting the system to slowly migrate over from HTML to wikitext storage (quarterly goal) to Use a mixed storage format, setting the system to slowly migrate over from HTML to wikitext storage.Feb 1 2018, 3:47 PM
SBisson added a subscriber: SBisson.

Given the recent change of focus, do we want to keep this on the board?

@Catrope: from your last comment, it doesn't look like this is nearly done or that you are actively working on it.

abian added a subscriber: abian.Jun 24 2018, 11:18 AM
Catrope removed Catrope as the assignee of this task.Jul 5 2018, 6:02 PM
Catrope added a subscriber: Catrope.
Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 11:07 PM
kostajh added a subscriber: kostajh.

Growth-Team discussed in triage this week, we won't have time to work on this in the near-to-medium term.

Izno added a subscriber: Izno.Feb 23 2019, 2:05 PM